import request from '@/utils/request'

// 查询党员管理列表
export function listDymanage(query) {
  return request({
    url: '/szxc/dymanage/list',
    method: 'get',
    params: query
  })
}

// 查询党员管理详细
export function getDymanage(id) {
  return request({
    url: '/szxc/dymanage/' + id,
    method: 'get'
  })
}

// 新增党员管理
export function addDymanage(data) {
  return request({
    url: '/szxc/dymanage',
    method: 'post',
    data: data
  })
}

// 修改党员管理
export function updateDymanage(data) {
  return request({
    url: '/szxc/dymanage',
    method: 'put',
    data: data
  })
}

// 删除党员管理
export function delDymanage(id) {
  return request({
    url: '/szxc/dymanage/' + id,
    method: 'delete'
  })
}
